# SuccessfulPayment - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.payments / SuccessfulPayment

# SuccessfulPayment

(common) `data class SuccessfulPayment : Amounted, Currencied` (source)

### Constructors

(common)

#### <init>

`SuccessfulPayment(currency: Currency, amount: Long, invoicePayload: String, telegramPaymentChargeId: String, providerPaymentChargeId: String, shippingOptionId: String? = null, orderInfo: OrderInfo? = null)`

### Properties

(common)

#### amount

`val amount: Long`

(common)

#### currency

`val currency: Currency`

(common)

#### invoicePayload

`val invoicePayload: String`

(common)

#### orderInfo

`val orderInfo: OrderInfo?`

(common)

#### providerPaymentChargeId

`val providerPaymentChargeId: String`

(common)

#### shippingOptionId

`val shippingOptionId: String?`

(common)

#### telegramPaymentChargeId

`val telegramPaymentChargeId: String`